CEL: Crystal Entity Layer: iMovePathQuestSeqOpFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMovePathQuestSeqOpFactory Struct Reference

This interface is implemented by the seqop that moves meshes along a path. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | AddPathNode (const char *sectorname, const char *node, const char *time)=0
| Add a node.
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the entity containing the pcmesh (either entity name or a parameter if it starts with '$').

## Detailed Description

This interface is implemented by the seqop that moves meshes along a path.

You can query this interface from the seqop factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this seqop type is 'cel.questseqop.movepath'.

In XML, factories recognize the following attributes on the 'op' node:

- entity: the name of the entity containing the pcmesh property class.
- entity_tag: optional tag used to find the right property class from the entity.
- several pathnode tags: one for every node with the following attributes: sector, node, and time. All of those can be a parameter. The 'node' refers to a node object in the given sector from which the position, up ('yvector'), and forward ('zvector') will be used. 'time' should be an increasing time value.

Definition at line 1505 of file questmanager.h.

## Member Function Documentation

virtual void iMovePathQuestSeqOpFactory::AddPathNode | ( | const char * | sectorname,
|  | const char * | node,
|  | const char * | time
| ) | `[pure virtual]`

  | Add a node. Parameters:
  | sectorname | is the name of the sector in which the node can be found. Warning! In the current implementation the sector should be the same for all nodes.
  | node | is the name of the node (position, yvector, and zvector are used).
  | time | is an increasing time value.

virtual void iMovePathQuestSeqOpFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0`
| ) | `[pure virtual]`

  | Set the entity containing the pcmesh (either entity name or a parameter if it starts with '$'). Parameters:
  | tag | is the optional tag of the entity or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h